Package org.apache.sysds.runtime.compress

## Class SingletonLookupHashMap

- java.lang.Object
- - org.apache.sysds.runtime.compress.SingletonLookupHashMap

    public final class SingletonLookupHashMap
    extends Object

This class allows sharing of objects across the entire program. It is used for instance for sharing WTrees for workload aware compression

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `containsKey​(int id)`
`Object` `get​(int id)`
`static SingletonLookupHashMap` `getMap()`
`int` `put​(Object obj)`
`void` `removeKey​(int id)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### get

    public Object get​(int id)

#### put

    public int put​(Object obj)

#### containsKey

    public boolean containsKey​(int id)

#### removeKey

    public void removeKey​(int id)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getMap

    public static final SingletonLookupHashMap getMap()